Free Fire Community API
Welcome to the Free Fire Community API - a comprehensive, API service that provides access to Free Fire player statistics, craftland maps, wishlist data, and game assets.
Get Player Information
GET
/infoRetrieves comprehensive player information including profile data, rankings, badges, clan membership, pet information, and more.
Server
https://developers.freefirecommunity.com/api/v1Full endpoint:
https://developers.freefirecommunity.com/api/v1/infoParameters
region
query
required
Region code (sg, ind, br)
uid
query
required
Player User ID (5-15 digits)
x-api-key
header
Your API key (recommended authentication method)
key
query
Alternative API key authentication in query string
Response Example
{
"basicInfo": {
"accountId": "10000001",
"nickname": "Harold",
"level": 65,
"rank": 323,
"region": "SG",
"seasonId": 51
},
"captainBasicInfo": {
"accountId": "310531180",
"nickname": "GMAndrewYeti",
"level": 68,
"rank": 320,
"region": "SG"
},
"clanBasicInfo": {
"clanId": "1027439077",
"clanName": "Cpt.BOOYAH",
"clanLevel": 7,
"memberNum": 40,
"capacity": 55
},
"creditScoreInfo": {
"creditScore": 100,
"rewardState": 1,
"rewardType": 2
},
"diamondCostRes": {
"diamondCost": 390
},
"petInfo": {
"id": "1300000071",
"level": 7,
"exp": 6000
},
"profileInfo": {
"avatarId": "102000038",
"clothes": [
"214053001",
"204053011"
]
},
"socialInfo": {
"accountId": "10000001",
"signature": "@freefireharold"
}
}